%define  req_libgnomeui_version	2.1.0

Summary:        The gnome desktop programs for the GNOME GUI desktop environment
Name:           gnome-session
Version: 2.18.0
Release:        %mkrel 3
License:        GPL/LGPL
Group:          Graphical desktop/GNOME
Source0:        ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1:        gnome-session-startgnome
Source2:	gnome-session-gnomerc
Source3:        gnome-splash.png
# (fc) 2.0.5-4dmk Fix login sound disabling (Rawhide)
Patch2:		gnome-session-2.0.5-login.patch
# (fc) 2.0.7-2mdk add pam-panel-icon and eggcups to default session
Patch3:		gnome-session-2.17.90-defaultsession.patch
# (fc) 2.2.0.2-2mdk add some icons to splashscreen
Patch4:		gnome-session-2.18.0-splashicons.patch
# (fc) 2.4.2-3mdk use our own splash
Patch6:		gnome-session-2.17.90-splash.patch
# (fc) 2.4.2-4mdk fix dithering of splash screen (RH)
Patch7:		gnome-session-2.0.5-dithering.patch
# (fc) 2.15.1-1mdv disable crash on warning
Patch8:		gnome-session-2.13.4-no-crashes.patch
# (blino) 2.16.1-2mdv allow to pass sm client id to compositing wm
Patch9:		gnome-session-2.16.1-compositing-wm.patch
# (fc) 2.17.91-2mdv add support for shaped splash (Fedora)
Patch10:	gnome-session-2.16.0-shaped.patch
# (fc) 2.17.92-2mdv increase timeout for at-spi launch
Patch11:	gnome-session-2.17.92-popup.patch


BuildRoot:      %{_tmppath}/%{name}-%{version}-root
URL:            http://www.gnome.org/softwaremap/projects/gnome-session/
Requires:	GConf2 >= 1.2.1
Requires:	mandrake_desk >= 9.0-6mdk
Requires:	usermode >= 1.63
Requires:	gnome-user-docs
BuildRequires:	gnome-keyring-devel
BuildRequires:	usermode-consoleonly
BuildRequires:	gnome-desktop-devel
BuildRequires:  tcp_wrappers-devel
BuildRequires:	libGConf2-devel >= 1.2.1
BuildRequires:  libgnomeui2-devel >= %{req_libgnomeui_version}
BuildRequires:  libgnome-window-settings-devel >= 2.15.4
BuildRequires:  avahi-glib-devel avahi-client-devel
BuildRequires: perl-XML-Parser
BuildRequires: desktop-file-utils
BuildRequires: automake1.9

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.

The GNOME Session Manager restores a set session (group of applications)
when you log into GNOME.

%prep
%setup -q
%patch2 -p1 -b .login
%patch3 -p1 -b .defaultsession
%patch4 -p1 -b .splashicons
%patch6 -p1 -b .splash
%patch7 -p1 -b .dithering
%patch8 -p1 -b .disablewarningcrash
%patch9 -p1 -b .compositing-wm
%patch10 -p1 -b .shaped
%patch11 -p1 -b .popup

%build

%configure2_5x --with-reboot-command=%{_bindir}/reboot --with-halt-command=%{_bindir}/poweroff
%make


%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

cp %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash/mdv-gnome-splash.png

# wmsession session file
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/02GNOME
NAME=GNOME
ICON=gnome-logo-icon-transparent.png
DESC=GNOME Environment
EXEC=%{_bindir}/startgnome
SCRIPT:
exec %{_bindir}/startgnome
EOF

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >  $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{_bindir}/gnome-session-properties" icon="%{_datadir}/icons/hicolor/48x48/apps/gnome-session.png" title="Sessions" longtitle="Configure your sessions" needs="gnome" section="Configuration/GNOME/Advanced" startup_notify="true" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AdvancedSettings" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME-Advanced" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/startgnome

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gnome
install -m 0755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/gnome/gnomerc

%find_lang %{name}-2.0

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_bindir}/gnome-smproxy

%define schemas gnome-session

%post
if [ "$1" = "2" -a -r /etc/sysconfig/desktop ]; then
  sed -i -e "s|^DESKTOP=Gnome$|DESKTOP=GNOME|g" /etc/sysconfig/desktop
fi
%post_install_gconf_schemas %{schemas}
%{make_session}
%{update_menus}
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%{make_session}
%{clean_menus}
%clean_icon_cache hicolor

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files -f %{name}-2.0.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/*
%config(noreplace) %{_sysconfdir}/gnome/gnomerc
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/gnome/*
%{_datadir}/pixmaps/*
%_datadir/icons/hicolor/*/apps/*
%{_menudir}/*
%{_mandir}/*/*


%changelog
* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-3mdv2007.1
+ Revision: 144091
-bunzip scripts in svn
-update gnomerc script to run linc-cleanup-sockets before starting session
- Remove patch5 and update patch4 : Mandriva-Galaxy is now started by autostart

* Wed Mar 14 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-2mdv2007.1
+ Revision: 143777
- rename splash screen file and update patch 6
- update patch 4 for Mandriva Galaxy

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142069
- new version

* Tue Mar 06 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.92-4mdv2007.1
+ Revision: 133636
- Improve splash corners

* Mon Mar 05 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.92-3mdv2007.1
+ Revision: 133232
- Updated splash

* Thu Mar 01 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.92-2mdv2007.1
+ Revision: 130604
- Patch11: increase timeout for a11y startup popup

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 126154
- new version

* Wed Feb 21 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.91-2mdv2007.1
+ Revision: 123809
- Patch10: handle shaped image for startup (GNOME bug #399262)
- Update splash

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 120193
- new version

* Fri Feb 09 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.90.1-2mdv2007.1
+ Revision: 118539
- Patch10: fix at-spi startup timeout (GNOME bug #345428)

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90.1-1mdv2007.1
+ Revision: 111992
- new version
- drop patch 10

  + Frederic Crozat <fcrozat@mandriva.com>
    -Patch10 : fix default session filename

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 111672
- new version
- rediff patches 3 and 6
- add icons

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 106286
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-2mdv2007.1
+ Revision: 90736
- bot rebuild
- fix buildrequires
- new version

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-2mdv2007.1
+ Revision: 87646
- fix buildrequires
- new version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 86239
- new version
- unpack patches

* Thu Oct 12 2006 Olivier Blin <oblin@mandriva.com> 2.16.1-2mdv2007.1
+ Revision: 63792
- adapt compiz patch to new compositing-wm-common package

  + Götz Waschk <waschk@mandriva.org>
    - Import gnome-session



* Thu Oct 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- Patch9: allow to start compiz

* Mon Sep 04 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Fri Sep 01 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.92-2mdv2007.0
- Improved splash screen

* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 2.15.92-1mdv2007.0
- New release 2.15.92

* Fri Aug 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.91-3mdv2007.0
- Update source 3, enable patch6, new splash 

* Thu Aug 17 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.91-2mdv2007.0
- update source2 to suppor new way of changing menu style
- fix mandriva category in .desktop

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-2mdv2007.0
- Rebuild with latest dbus

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1
- New release 2.15.90

* Mon Jul 17 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-2mdv2007.0
- Update source2 to correctly set XDG_CONFIG_DIRS

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0-
- xdg menu
- update deps
- drop patch 9
- New release 2.15.4

* Mon Jun 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-3mdv2007.0
- Patch9 (CVS): fix warning in gnome-session-remove
- use new macros

* Thu Jun 08 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-2mdv2007.0
- Update patch5 to use correct name for mandriva-galaxy

* Tue May 30 2006 Göttz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2
- Remove patch10 (merged upstream)
- Patch10 (Fedora): don't crash apps on warningp

* Tue May 30 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2

* Fri May 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-4mdk
- Update patch3 to not start g-v-m (done with new autostart feature)

* Thu Apr 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-3mdk
- Release 2.14.1
- Remove patch9 (merged upstream)
- Disable patch6

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-3mdk
- Enable patch 6, update source 3, splash screen is back

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 2.12.0-2mdk
- rebuild for new openssl

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-1mdk
- Release 2.12.0
- Regenerate patch3 (gotz)
- Remove patch11 (merged upstream)

* Fri Sep 02 2005 Götz Waschk <waschk@mandriva.org> 2.10.0-9mdk
- rebuild to remove glitz dep

* Thu Aug 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-8mdk
- Fix icon path

* Tue Aug 16 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-7mdk
- Patch11 (CVS): fix text rendering
- Remove patch8, replaced by patch 11

* Tue Aug 02 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-6mdk
- Enable patch 6, splash is back

* Thu Jul 28 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-5mdk 
- Regenerate patch3: remove gnome-smproxy, it is causing more problems 
  than it solves (Mdk bug #16870)

* Thu May 12 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-4mdk 
- Remove yelp dependency, so removing firefox won't remove gnome-session
  or gnome-panel

* Tue Apr 26 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-3mdk 
- Fix typo in source2 

* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-2mdk 
- Update source2 for new location of original menu files

* Tue Apr 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-1mdk 
- Release 2.10.0 (based on Gtz Waschk package)
- disable patch 6

* Tue Mar 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-9mdk 
- New splash

* Wed Mar 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-8mdk 
- Enable patch6, new splash

* Tue Mar 08 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-7mdk 
- Update source2 to never touch BROWSER variable

* Fri Feb 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-6mdk 
- Patch10: really hide bad hostname dialog when it is ok (Mdk bug #12426)

* Wed Feb 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-5mdk 
- Update patch3 to start eggcups

* Fri Feb 11 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-4mdk 
- Update source2 to set XDG_CONFIG_DIRS if using original menu (Mdk bug #12971)
- Update patch3 to call gnome-volume-manager instead of magicdev

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-3mdk 
- Rebuild with latest howl

* Wed Nov 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-2mdk
- fix buildrequires

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1
- Remove patch9 (merged upstream)
- Disable patch 6
- Patch9 (Fedora): add autostart .desktop directory support

* Thu Sep 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-5mdk
- Patch9 (CVS): don't leak background pixbuf 

* Wed Sep 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-4mdk
- Splash is back, enable patch6

* Wed Aug 04 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-3mdk
- Update source 2 to no longer start mdkapplet (handled by xinit now)

* Fri Jul 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-2mdk
- Update source 2 to use epiphany as default browser (otherwise galeon) 

* Tue Jun 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- reenable libtoolize
- New release 2.6.2

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Update patch 3 to fix bug 9462 (need to increment number of clients)

* Tue Apr 20 2004 Goetz Waschk <goetz@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Mon Apr 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz Waschk help)
- disable patch 6, use default gnome2.6 splash
- really fix patches 3,4

* Wed Mar 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-6mdk
- Update source2 to start mdkapplet if it is installed

* Tue Feb 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-5mdk
- Patch8 (RH): fix text garbage on splash

* Mon Feb 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-4mdk
- Patch7 (RH): fix dithering of splash screen

* Mon Feb 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-3mdk
- Patch6 : new splash 

* Sat Jan 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2-2mdk
- fix buildrequires

* Thu Jan 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-1mdk
- Release 2.4.2
- Update patches 3 & 4 to add magicdev to default session
- Fix migration script (bug 6677) 

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-1mdk
- new version

* Mon Sep 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-3mdk
- Patch 3 is back, bug is fixed in gtk+ 2.2.4-2mdk

* Fri Sep 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-2mdk
- Remove patch3 : don't add pam-panel-icon until tray icons taking 100% cpu is fixed

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-1mdk
- Release 2.3.90
- Fix BuildRequires

* Thu Aug 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.7-2mdk
- Patch5: don't use session to start mandrakegalaxy, do it ourself 
  (should fix splash bug #4505)

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.7-1mdk
- Release 2.3.7

* Tue Aug 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.6.2-1mdk
- Release 2.3.6.2

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.6.1-1mdk
- Release 2.3.6.1
- Remove patch5 (better fix merged upstream)

* Thu Aug  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.6-2mdk
- Patch5: workaround for bug #119346 (mdk bug 4533) 
  which was preventing shutdown/reboot

* Thu Aug  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.6-1mdk
- Release 2.3.6
- Remove patch1 (merged upstream)

* Fri Aug  1 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-3mdk
- Enforce dependency on gnome-user-docs and yelp (bug #4452)

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-2mdk
- Fix uninstall schema

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-1mdk
- Release 2.3.4

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3.1-1mdk
- Release 2.3.3.1

* Fri Jun  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3
- Regenerate patch 3

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.2-1mdk
- Release 2.3.2

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.1-1mdk
- Release 2.3.1

* Wed Apr 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-1mdk
- Release 2.3.0
- Regenerate patch4

* Tue Feb 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.0.2-2mdk
- Patch4 :  add some icons to splashscreen
- Update source2 for MandrakeGalaxy startup

* Tue Feb  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.2-1mdk
- Release 2.2.0.2

* Wed Jan 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.1-1mdk
- Release 2.2.0.1

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90-2mdk
- Recompiled against latest openssl

* Mon Jan  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90-1mdk
- Release 2.1.90

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Tue Dec 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Wed Nov 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-4mdk
- Fix description/url (Yura Gusev)

* Tue Nov 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-3mdk
- Correctly shutdown/reboot the system when asked for (bug 515)

* Mon Nov 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-2mdk
- Update source2 to no longer call gnome-volume-control (can't be used with gnome-media 2.1.x)

* Mon Nov 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2
- Remove patch0 (merged upstream)

* Thu Nov 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.7-2mdk
- Patch3: add pam-panel-icon, remove gnome-terminal from default session

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.7-1mdk
- Release 2.0.7

* Tue Aug 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-4mdk
- Patch2 (Rawhide): fix login sound disabling (bug #91531)

* Mon Aug 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-3mdk
- Set Galeon as default browser if available

* Fri Aug  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-2mdk
- Patch1 (rawhide): set GTK_RC_FILES so we can change the gtk1 theme

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-1mdk
- Release 2.0.5

* Tue Aug  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-2mdk
- Bump gconf dependency to ensure gconf-sanity-check2 is in /usr/lib

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4

* Tue Jul 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3
- Remove patch1 (merged upstream)

* Thu Jul 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-5mdk
- Resync source2 with latest gdm version

* Wed Jul 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-4mdk
- Update patch1 with new version from CVS
- Update source2 to no longer set GDK_USE_XFT, it is done by gtk profile.d scripts

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-3mdk
- Add menu entry

* Wed Jul 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-2mdk
- Patch1 (CVS): fix splash staying grey too long

* Mon Jul 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2

* Fri Jul 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Patch0: Metacity has now higher priority than sawfish

* Mon Jun 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Mon Jun 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.21-1mdk
- Release 1.5.21

* Fri May 31 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.19-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.19-1mdk
- Release 1.5.19

* Fri May  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.18-2mdk
- Enable use of ~/.gnomerc to bypass standard gnome startup script
- Let's activate anti-aliasing by default

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.18-1mdk
- Release 1.5.18

* Mon Apr 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.17-1mdk
- Release 1.5.17

* Tue Apr 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.16-1mdk
- Release 1.5.16

* Fri Apr  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.15-1mdk
- Release 1.5.15 (GUADEC Powered)
- Remove patch 0 (merged upstream)

* Wed Mar 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.13-2mdk
- re-add startgnome script (almost empty)
- add wmsession file
- Patch0: don't start a new window when launching nautilus

* Tue Mar 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.13-1mdk
- Initial Mdk package

* Tue Mar 05 2002 Chris Chabot <chabotc@reviewboard.com>
- Final cleanups
- make .spec.in

* Sun Feb 15 2002 Chris Chabot <chabotc@reviewboard.com>
- initial spec file for gnome-session
